import React, { useState, useEffect, useRef } from 'react';

import quickAPI from '../../service';
import indexStyles from '../../index.less';
import StepsButton from '../StepsButton';
import { message } from 'antd';

/**
 * 确认配置
 * @returns
 */
const ConfirmConfig = (props) => {
  const data = {
    id: 'root',
    value: {
      name: '股东会',
    },
    children: [
      {
        id: 'joel',
        value: {
          name: 'Joel Alan',
        },
        children: [
          {
            id: 'c1',
            value: {
              name: 'c1',
            },
            children: [
              {
                id: 'c1-1',
                value: {
                  name: 'c1-1',
                },
              },
              {
                id: 'c1-2',
                value: {
                  name: 'c1-2',
                },
                children: [
                  {
                    id: 'c1-2-1',
                    value: {
                      name: 'c1-2-1',
                    },
                  },
                  {
                    id: 'c1-2-2',
                    value: {
                      name: 'c1-2-2',
                    },
                  },
                ],
              },
            ],
          },
          {
            id: 'c2',
            value: {
              name: 'c2',
            },
          },
          {
            id: 'c3',
            value: {
              name: 'c3',
            },
            children: [
              {
                id: 'c3-1',
                value: {
                  name: 'c3-1',
                },
              },
              {
                id: 'c3-2',
                value: {
                  name: 'c3-2',
                },
                children: [
                  {
                    id: 'c3-2-1',
                    value: {
                      name: 'c3-2-1',
                    },
                  },
                  {
                    id: 'c3-2-2',
                    value: {
                      name: 'c3-2-2',
                    },
                  },
                  {
                    id: 'c3-2-3',
                    value: {
                      name: 'c3-2-3',
                    },
                  },
                ],
              },
              {
                id: 'c3-3',
                value: {
                  name: 'c3-3',
                },
              },
            ],
          },
        ],
      },
    ],
  };

  return (
    <>
      <StepsButton
        quickStartObj={props.quickStartObj}
        current={props.current}
        steps={props.steps}
        prev={props.prev}
      ></StepsButton>
    </>
  );
};

export default ConfirmConfig;
